Quantcast

JogAmp's Java3D continuation = Java3D 1.6.0 and later

classic Classic list List threaded Threaded
Locked 1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

JogAmp's Java3D continuation = Java3D 1.6.0 and later

gouessej
Administrator
This post was updated on .
After several requests in 2011, JogAmp's Java3D started in 2012. JogAmp's Java3D continuation designates Java3D 1.6.0 and later versions. Java3D's maintainers (*) are unable to build Java3D 1.5.2 (and earlier versions), only Java3D 1.6.0 is actively maintained. I remind that the earlier versions rely on a completely obsolete and unmaintained version of JOGL (JOGL 1.1.1a for Java3D 1.5.2 for example) on some platforms by default and no longer works under certain "recent" versions of mainstream operating systems (especially OS X).

As a consequence, I strongly discourage the use of obsolete versions of Java3D especially in production and for any application that is expected to work on the long term. No bug fix will be backported by JogAmp Java3D's maintainers in Java3D 1.5.2 (and earlier versions). If you still use one of these versions, please follow these steps to install the very latest pre-version and then we will be able to help you.

Finally, any effort of maintenance or support on earlier versions of Java3D is out of the scope of this forum section and I politely ask the concerned developer(s) to talk about that elsewhere to avoid any confusion and to allow JogAmp's Java3D community to keep concentrated on the very latest actively maintained version.


(*) I initiated the port, Harvey has maintained it and has received some individual contributions.

P.S: Java3D 1.3.1 was uploaded into Maven Central in November 8th 2005, this version is NOT maintained by the JogAmp community.
Loading...